Page MenuHomePhabricator

Adjust hover style of bars to match new interaction paradigm (sliders)
Closed, ResolvedPublic

Description

The bars in the revision slider still have the same hover effects as they used to have when we used the "click-on-bars-to-move-pointers" style of interaction. We should do the following changes to avoid misunderstandings:

  • CURRENTLY, bars get darker if directly hovered with the cursor. NEW: bars should not change color if hovered, since the reaction indicates they may work like a button and do some action.
  • CURRENTLY, the whole revision area is highlighted in a very light gray if hovered, but not if the cursor is on the slider line. NEW: Light gray highlight of revision area should also be the case if the user hovers the slider line.


↑ "bar" is highlighted in blue, "revision area" is highlighted in green, "slider line" or "slider area" is highlighted in orange

Event Timeline

Restricted Application added projects: archived--TCB-Team, Design. · View Herald TranscriptApr 5 2017, 1:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
WMDE-Fisch moved this task from Proposed to Sprint ready on the WMDE-Technical-Wishes-Team board.

Change 346731 had a related patch set uploaded (by WMDE-Fisch):
[mediawiki/extensions/RevisionSlider@master] Remove dark hover effect on bars

https://gerrit.wikimedia.org/r/346731

The above patch removes the dark hover effects. Adding the light background on the revisions when hovering the sliders is bit more complicated since I would have to watch all mouse movement, figure out what revision relates the the mouse position and then highlight the bars.

For now I decided on priorizing the other design tasks.

Adding the light background … For now I decided on priorizing the other design tasks.

OK, I think this would be useful to have it, but the other changes have indeed priority for me, too. @Lea_WMDE – does that make sense to you?

Change 346731 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Remove dark hover effect on bars

https://gerrit.wikimedia.org/r/346731

Lea_WMDE moved this task from Incoming to Doing on the Revision-Slider board.Apr 7 2017, 5:04 PM

Hovering slider lines will be addressed in https://phabricator.wikimedia.org/T162602. Moving this task to done.

WMDE-Fisch closed this task as Resolved.Apr 11 2017, 4:30 PM